# We can't let RPM do the dependencies automatic because it'll then pick up
# a correct but undesirable perl dependency, which rkhunter does not require
# in order to function properly.
AutoReqProv: no

Summary:	Rootkit scans for rootkits, backdoors and local exploits.
Name:		rkhunter
Version:	1.0.8
Release:	0.mr700
Epoch:		0
License:	GPL
Group:          Applications/System
URL:		http://www.rootkit.nl/
Source0:	http://downloads.rootkit.nl/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	/bin/sh, /bin/ps, /bin/ls, /bin/cat, /bin/egrep
Packager:	Doncho N. Gunchev <mr700@globalnet.bg>
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Rootkit scanner is scanning tool to ensure you for about 99.9%% you're
clean of nasty tools. This tool scans for rootkits, backdoors and local
exploits by running tests like:
	- MD5 hash compare
	- Look for default files used by rootkits
	- Wrong file permissions for binaries
	- Look for suspected strings in LKM and KLD modules
	- Look for hidden files
	- Optional scan within plaintext and binary files

Rootkit Hunter is released as GPL licensed project and free for everyone to use.


%prep
%setup -q -n %name


%build
#%%configure ...
# We have nothing to configure... yet...


%install
# Well... This could be a bit smaller if the install
# script was able to handle DSTDIR for example...
%{__mkdir} -p ${RPM_BUILD_ROOT}/usr/local/{bin,etc,rkhunter}
%{__mkdir} -p ${RPM_BUILD_ROOT}/usr/local/rkhunter/{db,docs,scripts,tmp}
%{__chmod} ug+rwx,o-rwx ${RPM_BUILD_ROOT}/usr/local/rkhunter/tmp
%{__install} -m750 -p files/rkhunter		${RPM_BUILD_ROOT}/usr/local/bin/rkhunter
%{__install} -m640 -p files/rkhunter.conf	${RPM_BUILD_ROOT}/usr/local/etc/rkhunter.conf

%{__install} -m640 -p files/backdoorports.dat	${RPM_BUILD_ROOT}/usr/local/rkhunter/db/backdoorports.dat
%{__install} -m640 -p files/defaulthashes.dat	${RPM_BUILD_ROOT}/usr/local/rkhunter/db/defaulthashes.dat
%{__install} -m640 -p files/mirrors.dat		${RPM_BUILD_ROOT}/usr/local/rkhunter/db/mirrors.dat
%{__install} -m640 -p files/os.dat		${RPM_BUILD_ROOT}/usr/local/rkhunter/db/os.dat
%{__install} -m640 -p files/md5blacklist.dat	${RPM_BUILD_ROOT}/usr/local/rkhunter/db/md5blacklist.dat

%{__install} -m640 -p files/CHANGELOG		${RPM_BUILD_ROOT}/usr/local/rkhunter/docs/CHANGELOG
%{__install} -m640 -p files/README		${RPM_BUILD_ROOT}/usr/local/rkhunter/docs/README
%{__install} -m640 -p files/WISHLIST		${RPM_BUILD_ROOT}/usr/local/rkhunter/docs/WISHLIST

%{__install} -m750 -p files/check_modules.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/check_modules.pl
%{__install} -m750 -p files/check_port.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/check_port.pl
%{__install} -m750 -p files/filehashmd5.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/filehashmd5.pl
%{__install} -m750 -p files/filehashsha1.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/filehashsha1.pl
%{__install} -m750 -p files/showfiles.pl	${RPM_BUILD_ROOT}/usr/local/rkhunter/scripts/showfiles.pl
# Only root should use rkhunter (at least for now)
%{__chmod} o-rwx -R ${RPM_BUILD_ROOT}/usr/local/rkhunter

# make a cron.daily file to mail us the reports
%{__mkdir} -p "${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily"
%{__cat} > "${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily/01-rkhunter" <<EOF
#!/bin/sh
/usr/local/bin/rkhunter --cronjob | /bin/mail -s 'rkhunter Daily Run' root
EOF
%{__chmod} a+rwx,g-w,o-rwx ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/01-rkhunter


%clean
%{__rm} -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,-)
/usr/local/bin/rkhunter
%dir /usr/local/rkhunter
%dir /usr/local/rkhunter/tmp
%doc /usr/local/rkhunter/docs
/usr/local/rkhunter/db
/usr/local/rkhunter/scripts
%config(noreplace) %verify(not mtime) /usr/local/etc/rkhunter.conf
%{_sysconfdir}/cron.daily/01-rkhunter


%changelog
* Wed Apr 28 2004 Doncho N. Gunchev - 1.0.8-0.mr700
- dropped Requires: perl - rkhunter works without it 
- dropped the bash alignpatch (check the source or contact me)
- various file mode fixes (.../tmp/, *.db)
- optimized the %%files section - any new files in the
  current dirs will be fine - just %%{__install} them.

* Mon Apr 26 2004 Michael Boelen - 1.0.7-0
- Fixed missing md5blacklist.dat

* Mon Apr 19 2004 Doncho N. Gunchev - 1.0.6-1.mr700
- added missing /usr/local/rkhunter/db/md5blacklist.dat
- patched to align results in --cronjob, I think rpm based
  distros have symlink /bin/sh -> /bin/bash
- added --with/--without alignpatch for conditional builds
  (in case previous patch breaks something)

* Sat Apr 03 2004 Michael Boelen / Joe Klemmer - 1.0.6-0
- Update to 1.0.6

* Mon Mar 29 2004 Doncho N. Gunchev - 1.0.0-0
- initial .spec file

